/**
 * Item 
 * 
 * */
function Item(params){
	
	this.title = params.title ? params.title : '';
	this.content = params.content ? params.content : '';
	this.url = params.url ? params.url : '';
	this.pubDate = params.pubDate ? params.pubDate : '';
	this.id = this.id ? this.id : this.url + "?feedtitle=" + this.title;
	this.read = params.read ? params.read: false;
	this.feed = params.feed ? params.feed : null;
}

Item.prototype.markAsRead = function(){
	this.read = true;
}

/**
 * assign feed to item
 * @param {Feed} feed
 * */
Item.prototype.setFeed = function(feed){
	this.feed = feed;
}

Item.prototype.getProperties = function(){
	
	return {
		title: this.title,
		content: this.content,
		url: this.url,
		pubDate: this.pubDate.getTime(),
		id: this.id,
		read: this.read?'1':'0'
	};
}

Item.prototype.create = function(properties){
	var d = new Date();
	var title = properties.title,
	    content = properties.content,
		url = properties.url,
		pubDate = properties.pubDate,
		id = properties.id,
		read = (properties.read =='1' ? true : false);
	d.setTime(pubDate);
	return new Item({title:title,content:content,url:url,pubDate:d,id:id,read:read});
}